%global _source_filedigest_algorithm 1
%global _binary_filedigest_algorithm 1
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio

%global spice_data_dir  %{_datadir}/spice


Name: rhevm-spice-client
Version: 4.0
Release: 2%{?dist}
License: GPLv2+
Summary: Spice Client MSI for Red Hat Enterprise Virtualization
Group: Virtualization/Management
URL: http://www.redhat.com/virtualization/rhev/server/

Source0: virt-viewer-x86-2.0.msi
Source1: UsbDk_1.0.12_x86.msi
Source2: UsbDk_1.0.12_x64.msi
Source3: spice-client-msi-4.0-2-spec.zip
Source4: spice-client-msi-4.0-2-sources.zip
Source5: SpiceVersion.txt
Source6: virt-viewer-x64-2.0.msi

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Spice client MSI for Red Hat Enterprise Virtualization Manager

%package x86-msi
Summary: Spice client 32bit MSI for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management

%description x86-msi
The 32bit Spice Client MSI for Red Hat Enterprise Virtualization Manager

%package x64-msi
Summary: Spice client 64bit MSI for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management

%description x64-msi
The 64bit Spice Client MSI for Red Hat Enterprise Virtualization Manager


%prep

%build

%install
rm -rf %{buildroot}
/usr/bin/install -d %{buildroot}%{spice_data_dir}


/bin/cp %{SOURCE0} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE1} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE2} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE5} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE6} %{buildroot}%{spice_data_dir}/

cp %{buildroot}%{spice_data_dir}/SpiceVersion{,_x64}.txt

# rhbz#1010211 -- rename msi files to format <name>-<arch>.msi (remove version)
pushd  %{buildroot}%{spice_data_dir}/
mv virt-viewer-x64*.msi virt-viewer-x64.msi
mv virt-viewer-x86*.msi virt-viewer-x86.msi
mv UsbDk*x64.msi usbdk-x64.msi
mv UsbDk*x86.msi usbdk-x86.msi

popd
 
%clean
rm -rf %{buildroot}

%files x64-msi
%defattr(0644,root,root,0755)
%{spice_data_dir}/virt-viewer-x64.msi
%{spice_data_dir}/usbdk-x64.msi
%{spice_data_dir}/SpiceVersion_x64.txt


%files x86-msi
%defattr(0644,root,root,0755)
%{spice_data_dir}/virt-viewer-x86.msi
%{spice_data_dir}/usbdk-x86.msi
%{spice_data_dir}/SpiceVersion.txt

%changelog
* Mon Jun 13 2016 Uri Lublin <uril@redhat.com> - 4.0-2
- mingw-virt-viewer 2.0-10
- mingw-spice-gtk   0.31-2
- Utilize ovirt SSO to authenticate for foreign menu support (rhbz#1339247)
- monitor-mapping: do it all or nothing (rhbz#1339499)
- Return early on empty monitor mapping (rhbz#1339500)
- Avoid crashing when using invalid video config (rhbz#1343240)
- Add some menu access keys (rhbz#1340906)
- Add progress bar for file transfer (rhbz#1332180)
- mingw-virt-viewer now depends on mingw-adwaita-icon-theme (rhbz#1301064)
- Better support for Japanese keyboard layout (rhbz#1311858, rhbz#1311820)
- Japanese keyboard layout: Add DisableIME patch (rhbz#1297640)
- Improve "no free USB channels" string in USB selection dialog (rhbz#1299932)
- Fix a crash upon file transfer while killing the agent (rhbz#1336327)
- Parse correctly ipv6 addresses in Spice proxy (rhbz#1341991)
- Improve parsing of smartcard messages (rhbz#1343065)
- Fix a race with full-screen multi-monitor configuration (rhbz#1322920)
- Do not Require rhevm nor rhevm-user-portal packages (rhbz#1342087)

* Mon May 9 2016 Uri Lublin <uril@redhat.com> - 4.0-1
- mingw-virt-viewer 2.0-9
- mingw-spice-gtk 0.26-10
- spice-usbdk-win 1.0-12
- Some dependent packages are rebased (rhbz#1326052)
- mingw-curl-7.47.0-1.el7ev
- mingw-gnutls-3.4.9-1.el7ev
- mingw-libpng-1.6.21-1.el7ev
- mingw-libxml2-2.9.3-1.el7ev
- The usbclerk service is no longer available (rhbz#1328916)
- The CAB (SpiceX plugin) rpms are no longer available (rhbz#1324885)
- Resolves: rhbz#1310097

* Mon Jan 4 2016 Uri Lublin <uril@redhat.com> - 3.6-6
- mingw-virt-viewer 2.0-8
- mingw-spice-gtk 0.26-10
- mingw-libusbx 1.0.20-1
- spice-usbdk-win 1.0-10
- Send requests to usbdk asynchronously (rhbz#1144043)

* Thu Nov 12 2015 Uri Lublin <uril@redhat.com> - 3.6-5
- mingw-virt-viewer 2.0-7
- mingw-spice-gtk 0.26-9
- mingw-usbredir 0.6-5
- spice-usbdk-win 1.0-7
- Use the display ID to configure fullscreen monitors (rhbz#1278016)
- Disable extra displays in fullscreen mode (rhbz#1275343)
- usbredir: drop isoc packets on low bandwidth (rhbz#1201387)

* Thu Oct 22 2015 Uri Lublin <uril@redhat.com> - 3.6-4
- mingw-virt-viewer 2.0-6
- mingw-spice-gtk 0.26-8
- mingw-libcacard 2.5.0-4
- mingw-libgovirt 0.3.3-2
- Fix .vv file association (rhbz#1146016)
- Enable smartcard support (rhbz#1267386)
- Notify about existence of monitor for all displays channels (rhbz#1247927)
- libgovirt: Unref the resource instead of the resources table (rhbz#1273977)

* Mon Aug 03 2015 Uri Lublin <uril@redhat.com> - 3.6-3
- mingw-virt-viewer 2.0-3
- mingw-spice-gtk 0.26-5
- mingw-gtk3 3.14.12-4
- spice-usbdk-win-1.0-6
- Enable hotkeys after setting them in virt_viewer_app_set_hotkeys()
  (rhbz#1055600)
- Allow to resize window to any size (rhbz#1205804)
- Do not change the resolution connecting to a VM (rhbz#1242600)
- Add reference counting to cached images (rhbz#1244869)
- Handle single headed monitors that have a non-zero x, y config (rhbz#1244880)
- Send fake release key event for shift key (rhbz#1169286)
- SpiceX: Protect against params strings that are too long (rhbz#1171717)
          Send strings in UTF-8 format to the client (Related rhbz#1171717)
          Limit log message size to 1KB (Related rhbz#1171717)

* Mon Jun 15 2015 Uri Lublin <uril@redhat.com> - 3.6-2
- mingw-virt-viewer 2.0-2 (rhbz#1181289)
- mingw-spice-gtk 0.26-4
- mingw-libusbx 1.0.19-3
- Handle better running with/out usbdk/usbclerk

* Wed Jun 10 2015 Uri Lublin <uril@redhat.com> - 3.6-1
- mingw-virt-viewer 2.0-1 (rhbz#1181289)
- mingw-spice-gtk 0.26-3
- almost all mingw packages are rebased.
- Using gtk3 (before gtk2)
- Using gstreamer 1.0 for audio (before 0.1)
- Smart-card support is disabled
- New UsbDk (windows USB driver) msi files included (rhbz#1202371)
- Use a versioned install directory for virt-viewer
- New ovirt:// prefix and [ovirt] section in vv-files
- And much more

* Sun Aug 31 2014 Uri Lublin <uril@redhat.com> - 3.5-2
- mingw-virt-viewer 0.6.0-2
- mingw-spice-gtk 0.22-2
- mingw-openssl 1.0.1e-7
- Pasting into java apps inserts unprintable character. rhbz#1090122
- Fix various openssl flaws. rhbz#1128406

* Wed Jul 30 2014 Uri Lublin <uril@redhat.com> - 3.5-1
- mingw-virt-viewer 0.6.0-1
- mingw-spice-gtk 0.22-1
- Rebase to 0.6.0. rhbz#1103366
- Fallback on ctrl+alt hotkey for ungrab. Resolves: rhbz#985319
- Always use auto-conf for fullscreen. Resolves: rhbz#1018145 rhbz#1076243
- Fix some auto-conf bugs. Resolves: rhbz#1018182 rhbz#1022608
- Fix some hang scenario with clipboard. Resolves: rhbz#1083489
- Fix gtk+ crash with invalid clipboard data. Resolves: rhbz#1090433
- Use a product version to fit -z releases. Resolves: rhbz#1105650
- Fix missing version hyphen in dialog. Resolves: rhbz#1115445

* Thu Apr 24 2014 Uri Lublin <uril@redhat.com> - 3.4-3
- mingw-virt-viewer 0.5.6-23
- Pick up a fix for CVE-2014-0160. rhbz#1085822

* Sun Apr  6 2014 Uri Lublin <uril@redhat.com> 3.4-2
- Rebuild. No changes.

* Sun Apr  6 2014 Uri Lublin <uril@redhat.com> 3.4-1
- mingw-virt-viewer 0.5.6-21
- Fix guest not resized on entering full-screen. rhbz#1069735
- Disconnect fullscreen map-event handler when leaving fullscreen. rhbz#1037662
- mingw-spice-gtk 0.20-6
- Better SSL verification. Fixes rhbz#873318
- Improve handling of large clipboard data. Fixes rhbz#1017250
- Sometimes, unable to copy/paste from Windows client. rhbz#956659
- Fix connection to old VMs. Fixes rhbz#1017864
- Copy "ca" property in copy ctor of SpiceSession. Fixes rhbz#1036833
- spicex-win-3.4-1
- spicex: fix an IE11 crash in Load(). rhbz#1052309

* Wed Jan  8 2014 Uri Lublin <uril@redhat.com> - 3.3-8
- mingw-virt-viewer 0.5.6-18
- Add missing "secure-attention" hotkey config, again. rhbz#1023447

* Sun Dec 22 2013 Uri Lublin <uril@redhat.com> - 3.3-7
- mingw-virt-viewer 0.5.6-16
- mingw-usbclerk-0.3.3-2
- Add missing "secure-attention" hotkey config. rhbz#1023447 (virt-viewer)
- MSI: set Interactive flag when installing the service rhbz#1038289 (usbclerk)
- Add license files to MSI (usbclerk)

* Wed Nov 20 2013 Uri Lublin <uril@redhat.com> - 3.3-6
- mingw-virt-viewer 0.5.6-15
- mingw-spice-gtk-0.20-5
- mingw-usbclerk-0.3.3-1
- Too many windows open with fullscreen=auto-conf. rhbz#985898
- Two full-screen windows on the one screen (same fix as in RHEL6). rhbz#872288
- Allow higher-than-native resolution in fullscreen mode.  rhbz#1021618
- Leave fullscreen on current window. rhbz#1017909
- Increase contrast of cursor for PuTTY. Fixes: rhbz#1002697
- Fix g_main_loop_is_running() assertion. Fixes: rhbz#1017302
- Fix MSI upgrade (rhbz#984136 + rhbz#984137)
- Un-Obsolete msi packages, add BuildRequires for required packages.

* Wed Oct 23 2013 Uri Lublin <uril@redhat.com> - 3.3-5
- mingw-virt-viewer 0.5.6-8
- mingw-spice-gtk-0.20-3
- mingw-usbclerk-0.0.1.1-3
- Rename msi files in format <name>-<arch>.msi. rhbz#1010211
- NSIS installer - compare versions and install only if needed. rhbz#857038
- Hotkeys: send modifiers before non-modifier keys. rhbz#846006
- Add keyboard binding to send CAD. rhbz#1004440
- Missing sqlite dll in MSI. rhbz#1014089
- Fix default window size when leaving fullscreen. rhbz#978362
- Fix alt-tab regression. Fixes: rhbz#986027 and rhbz#873341

* Wed Aug 14 2013 Uri Lublin <uril@redhat.com> - 3.3-4
- mingw-virt-viewer 0.5.6-4
- mingw32-spice-gtk-0.20-2
- mingw-usbclerk-0.0.1.1-3
- usb: request for driver uninstall only for driver that were installed. Related: rhbz#919166
- Add CRLF-LF conversion. Related: rhbz#1000125
- Pass the right ptr to destroy. Related: rhbz#997893
- (mingw-0.5.6-3:)
- Does not respect auto configuration of monitors. Resolves: rhbz#967154
- Two monitors are in fullscreen at only one screen. Resolves: rhbz#872288
- Do not restrict disabling display to != 0. Resolves: rhbz#958550
- Allow to fullscreen and position display independently. Resolves: rhbz#558241
- Auto-add Hot Key combos to "Send key" menu. Resolves: rhbz#846006

* Wed Aug 14 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.3-3
- Fixes some usbclerk installation issues.

* Sun Jul 28 2013 Uri Lublin <uril@redhat.com> - 3.3-2
- mingw-virt-viewer 0.5.6-2
- providing msi packages again (virt-viewer and usbclerk)
- cab files install SpiceX.dll directly.

* Fri Jun 21 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-13
- mingw-virt-viewer 0.5.3-28

* Fri Jun 14 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-12
- mingw-virt-viewer 0.5.3-27

* Tue Jun 11 2013 Uri Lublin <uril@redhat.com> - 3.2-11
- mingw-virt-viewer 0.5.3-26

* Fri Apr 26 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-10
- mingw-virt-viewer 0.5.3-25

* Tue Apr  9 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-8
- mingw-virt-viewer 0.5.3-24

* Wed Mar 27 2013 Uri Lublin <uril@redhat.com> - 3.2-7
- Based on mingw-virt-viewer-0.5.3-23 (and spicex-3.2-7)
- Bugs fixed: 752483 857114 866418 873298 906560 912713
              916810 918342 918997 919530 922818 923894
			  924006 924476 927882

* Sun Mar 17 2013 Uri Lublin <uril@redhat.com> - 3.2-6
- Rebuild -- keep mingw-virt-viewer-0.5.3-22 (and spicex-3.2-5)

* Thu Mar 14 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-5
- Rebuild with spice-gtk libcacard fix

* Tue Mar 12 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-3
- Add libcacard support (related to #866418)
- Fix mouse cursor offset #912793
- Fix resolution changing loop #912703
- Fix "Unable to connect to the graphic server" error #913080
- Fix  All "windows" have the same resolution #913206

* Fri Feb 15 2013 Uri Lublin <uril@redhat.com> - 3.2-2
- Add closing dialog (virt-viewer)
- Silence usbclerk installation (virt-viewer installer)
- send CONTROLLER_SEND_CAD to the client (spice-x)
- Based on mingw-virt-viewer-0.5.3-20
- Bugs fixed: 803912 872200 752093

* Tue Feb 12 2013 Uri Lublin <uril@redhat.com> - 3.2-1
- New Features include:
  + Spice seamless migration
  + Multi-monitor support single qxl for Linux guests
  + Native USB live migration
  + HTTP Proxy Support
- Based on mingw-virt-viewer-0.5.3-18
- Rebased packages: spice-gtk, spice-protocol, usbredir and more
- SpiceX version is 3.2-1
- Bugs fixed: 905898

* Wed Nov 14 2012 Uri Lublin <uril@redhat.com> - 3.1-8
- Obsolete msi packages.
- Requires rhevm >= 3.1.0
- Delete BuildRequired spicex-* lines
- Get version from Source7
- Bugs fixed: 857119 872640

* Wed Oct 31 2012 Uri Lublin <uril@redhat.com> - 3.1-7
- Bump spicex version.
- Bugs fixed 857430 857389 871125 871562
- Based on mingw-virt-viewer-0.5.3-16

* Wed Oct 31 2012 Uri Lublin <uril@redhat.com> - 3.1-6
- Bug fixes, including 856312, 856317, 856538, 861214, 864033, 869542
- Based on mingw-virt-viewer-0.5.3-14

* Tue Aug 07 2012 Uri Lublin <uril@redhat.com> - 3.1-4
- license files were added to usbclerk.

* Wed Aug 01 2012 Uri Lublin <uril@redhat.com> - 3.1-2
- 'rpm -ql' debug commands removed

* Wed Aug 01 2012 Uri Lublin <uril@redhat.com> - 3.1-1
- First build for RHEV-M 3.1: many changes including
-   client is now remote-viewer (replacing spicec)
-   Cab files are now located under /usb/share/spice.
-   No msi files are provided.

* Thu Mar 22 2012 Uri Lublin <uril@redhat.com> - 3.0-29
- client/windows (spicec-win): fix sending alt-gr key to guest.
  + handle redundant right ctrl windows message sent when alt-gr is pressed
Resolves: #789375
- spice ActiveX (spicex-win): add logging messages
Resolves: #802395

* Mon Mar 12 2012 Uri Lublin <uril@redhat.com> - 3.0-28
- client/windows (spicec-win): fix SetClipboardViewer error handling
Resolves: #800306

* Sun Jan 15 2012 Uri Lublin <uril@redhat.com> - 3.0-26
- Added changelog
Resolves: #769666
Resolves: #771956

* Tue Jan 10 2012 Uri Lublin <uril@redhat.com> - 3.0-25
- update spice-client menu if needed when exiting full-screen mode
  helps "protect" spice-client menu when in full-screen mode
Resolves: #769666
- foreign-menu: pass "active" param when creating a ForeignMenu
  helps spice-usb "auto-share" mode
Resolves: #771956

* Thu Oct 27 2011 Uri Lublin <uril@redhat.com> - 3.0-21
- spice semi-seamless migration
Resolves: #748972

* Mon Sep 19 2011 Uri Lublin <uril@redhat.com> - 3.0-19
 - Rename user-portal directory prefix from org.nogah to org.ovirt.engine.ui
   to match RHEV-M namespace.
Resolves: #739756

* Mon Jul 18 2011 Arnon Gilboa <agilboa@redhat.com> - deploy a SpiceVersion file within RHEV-M user-portal war #722783 - 3.0-12
* Sun Jul 17 2011 Arnon Gilboa <agilboa@redhat.com> - replace userportal path prefix to org.nogah #721360 - 3.0-11
* Thu Mar 31 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
